#include "util/minisatresult.h"

namespace satlab
{

void MinisatResult::setModel(const KSATinstance::MODEL& model)
{
    this->model = model;
}

const KSATinstance::MODEL& MinisatResult::getModel() const
{
    return model;
}

void MinisatResult::addLiteralToModel(KSATinstance::LITERAL lit)
{
    model.push_back(lit);
}

void MinisatResult::setStats(MinisatStats&& stats)
{
    this->stats = MinisatStats(std::move(stats));
}

const MinisatStats& MinisatResult::getStats() const
{
    return stats;
}

void MinisatResult::setSatisfiable(bool value)
{
    satisfiable = value;
}

bool MinisatResult::getSatisfiable() const
{
    return satisfiable;
}

}
